plugins {
    id 'java'
}

repositories {
    mavenCentral()
}

dependencies {
    implementation('ch.qos.logback:logback-classic:1.5.15')
}

tasks.register('runDefault', JavaExec) {
    classpath = sourceSets.main.runtimeClasspath
    mainClass = 'pl.polgrabia.demos.crackingcodeinterview.t16x20.Program'
    args "${System.getenv('LOCALAPPDATA')}/cracking_code_interview/t16x20/words.txt"
    jvmArgs "-ea"
}